Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Branding.Themes.Get(
context.TODO(),
"themeId",
)
}{
"borders": {
"button_border_radius": 5.5,
"button_border_weight": 5,
"input_border_radius": 5,
"input_border_weight": 1.5,
"show_widget_shadow": true,
"widget_border_weight": 5,
"widget_corner_radius": 25
},
"colors": {
"body_text": "<string>",
"error": "<string>",
"header": "<string>",
"icons": "<string>",
"input_background": "<string>",
"input_border": "<string>",
"input_filled_text": "<string>",
"input_labels_placeholders": "<string>",
"links_focused_components": "<string>",
"primary_button": "<string>",
"primary_button_label": "<string>",
"secondary_button_border": "<string>",
"secondary_button_label": "<string>",
"success": "<string>",
"widget_background": "<string>",
"widget_border": "<string>",
"base_focus_color": "<string>",
"base_hover_color": "<string>",
"read_only_background": "<string>"
},
"displayName": "<string>",
"fonts": {
"body_text": {
"bold": true,
"size": 75
},
"buttons_text": {
"bold": true,
"size": 75
},
"font_url": "<string>",
"input_labels": {
"bold": true,
"size": 75
},
"links": {
"bold": true,
"size": 75
},
"reference_text_size": 18,
"subtitle": {
"bold": true,
"size": 75
},
"title": {
"bold": true,
"size": 112.5
}
},
"page_background": {
"background_color": "<string>",
"background_image_url": "<string>"
},
"themeId": "<string>",
"widget": {
"logo_height": 50.5,
"logo_url": "<string>"
}
}Get branding theme
Retrieve branding theme.
GET
https://{tenantDomain}/api/v2
/
branding
/
themes
/
{themeId}
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Branding.Themes.Get(
context.TODO(),
"themeId",
)
}{
"borders": {
"button_border_radius": 5.5,
"button_border_weight": 5,
"input_border_radius": 5,
"input_border_weight": 1.5,
"show_widget_shadow": true,
"widget_border_weight": 5,
"widget_corner_radius": 25
},
"colors": {
"body_text": "<string>",
"error": "<string>",
"header": "<string>",
"icons": "<string>",
"input_background": "<string>",
"input_border": "<string>",
"input_filled_text": "<string>",
"input_labels_placeholders": "<string>",
"links_focused_components": "<string>",
"primary_button": "<string>",
"primary_button_label": "<string>",
"secondary_button_border": "<string>",
"secondary_button_label": "<string>",
"success": "<string>",
"widget_background": "<string>",
"widget_border": "<string>",
"base_focus_color": "<string>",
"base_hover_color": "<string>",
"read_only_background": "<string>"
},
"displayName": "<string>",
"fonts": {
"body_text": {
"bold": true,
"size": 75
},
"buttons_text": {
"bold": true,
"size": 75
},
"font_url": "<string>",
"input_labels": {
"bold": true,
"size": 75
},
"links": {
"bold": true,
"size": 75
},
"reference_text_size": 18,
"subtitle": {
"bold": true,
"size": 75
},
"title": {
"bold": true,
"size": 112.5
}
},
"page_background": {
"background_color": "<string>",
"background_image_url": "<string>"
},
"themeId": "<string>",
"widget": {
"logo_height": 50.5,
"logo_url": "<string>"
}
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the theme
Response
Branding theme successfully retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Display Name
Maximum string length:
2048Pattern:
^[^<>]*$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Theme Id
Maximum string length:
32Pattern:
^[a-zA-Z0-9]{32}$Show child attributes
Show child attributes
Was this page helpful?
⌘I